​
Select Service
ves-io-schema-network_policy_rule-API-List
Published April 5, 2023 | Last modified May 17, 2026
Examples of listing network_policy_rule
Usecase:
List network-policy-rule
Request using vesctl:
vesctl configuration list network_policy_rule --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: network-policy-rule-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 62c814a2-0c79-4fe9-a197-d41234507a90Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/network_policy_rules'curl response
HTTP/1.1 200 OKContent-Length: 451Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:58 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "network-policy-rule-1", "uid": "62c814a2-0c79-4fe9-a197-d41234507a90", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}